function FileData_Pairs(x)
{
x.t("supports","execution");
x.t("supports","csd");
x.t("failedexception","parser");
x.t("system.out.println","\\n\\n\\rbreaking");
x.t("system.out.println","(response)");
x.t("system.out.println","\\n\\n\\rsomebody");
x.t("system.out.println","hanging");
x.t("system.out.println","(e)");
x.t("system.out.println","waiting");
x.t("system.out.println","data");
x.t("system.out.println","received");
x.t("system.out.println","dialing");
x.t("example","continues");
x.t("example","rcv");
x.t("example","work");
x.t("differently","regular");
x.t("available","method");
x.t("available","atcommand");
x.t("method","checks");
x.t("method","command");
x.t("method","continue");
x.t("method","stream");
x.t("method","described");
x.t("method","called");
x.t("method","itself");
x.t("method","returns");
x.t("possible","response");
x.t("blocking","call");
x.t("sec\u00adond","parameter");
x.t("parameter","callback");
x.t("parameter","addition");
x.t("else","system.out.println");
x.t("else","broke");
x.t("else","received");
x.t("else","switched");
x.t("internet","services");
x.t("cpin","method");
x.t("cpin","ready");
x.t("hardware","list");
x.t("csdsupported","method");
x.t("sending","command");
x.t("currently","datain.available");
x.t("13.1.1.1","instantiation");
x.t("instantiation","without");
x.t("instance","13.1.1.2");
x.t("instance","device's");
x.t("instance","boolean");
x.t("instance","atd");
x.t("instance","cannot");
x.t("instance","atcommandresponselistener");
x.t("instance","csd");
x.t("instance","becomes");
x.t("instance","atcommand");
x.t("instance","class");
x.t("callback","instance");
x.t("\\n\\n\\rbreaking","connection");
x.t("13.1.1.2","sending");
x.t("regular","data");
x.t("synchronization","performance");
x.t("synchronization","done");
x.t("try","data");
x.t("try","atcommand");
x.t("try","strrcv");
x.t("current","mode");
x.t("13.1.1.3","data");
x.t("user","implementation");
x.t("parsers","available");
x.t("parsers","13.1.1.1");
x.t("parsers","device");
x.t("line","end");
x.t("line","feed");
x.t("(response)","possible");
x.t("until","release");
x.t("until","module");
x.t("\u00adcessed","cops");
x.t("13.1.1.4","synchronization");
x.t("interface","provides");
x.t("support","requested");
x.t("support","exactly");
x.t("support","may");
x.t("support","csd");
x.t("mode","system.out.println");
x.t("mode","command");
x.t("mode","calling");
x.t("mode","module");
x.t("mode","except");
x.t("errors","13.1.1.3");
x.t("press","close");
x.t("please","notice");
x.t("please","note");
x.t("csd_support","atc.csdsupported");
x.t("close","method");
x.t("close","connection\\n\\r");
x.t("open","until");
x.t("open","data");
x.t("explicitly","requested");
x.t("response","system.out.println");
x.t("response","command");
x.t("response","atc.send");
x.t("response","function");
x.t("response","printed");
x.t("response","result");
x.t("response","response.indexof");
x.t("time","pro");
x.t("external","hardware");
x.t("calls","sspi");
x.t("execution","commands");
x.t("device\u2019s","parsers");
x.t("however","java");
x.t("releases","resources");
x.t("connection","system.out.println");
x.t("connection","method");
x.t("connection","try");
x.t("connection","please");
x.t("connection","atd");
x.t("connection","release");
x.t("connection","signaling");
x.t("connection","established");
x.t("connection","created");
x.t("connection","similarly");
x.t("connection","streaming");
x.t("checks","current");
x.t("...and","streaming");
x.t("text","streams");
x.t("new","instance");
x.t("new","string");
x.t("new","atcommand");
x.t("thrown","stream");
x.t("thrown","function");
x.t("eof","somebody");
x.t("access","external");
x.t("access","i2c/spi");
x.t("command","mode");
x.t("command","api");
x.t("command","requires");
x.t("command","delivered");
x.t("command","string");
x.t("command","device");
x.t("command","second");
x.t("command","syntax");
x.t("command","sent");
x.t("block","text");
x.t("(false)","instance");
x.t("atcomman","dresponselistener");
x.t("continues","next");
x.t("list","commands");
x.t("incorrect","command");
x.t(".getbytes","...and");
x.t(".getbytes","dataout.write");
x.t("api","13.1.1");
x.t("simple","send");
x.t("requested","constructor");
x.t("requested","catch");
x.t("device's","parser");
x.t("check","done");
x.t("unless","module");
x.t("initialized","logged");
x.t("logged","network");
x.t("network","system.out.println");
x.t("reasons","synchronization");
x.t("reasons","parser");
x.t("system.out","cpin");
x.t("behave","slightly");
x.t("directly","device\u2019s");
x.t("requires","time");
x.t("delivered","callback");
x.t("\\n\\rthis","data");
x.t("wait","command");
x.t("outputstream","dataout");
x.t("exactly","atcommand");
x.t("constructor","throw");
x.t("constructor","parser");
x.t("closed","using");
x.t("codes","returned");
x.t("performance","reasons");
x.t("bytes","buffer");
x.t("provides","simple");
x.t("boolean","csd_support");
x.t("methods","strings");
x.t("methods","fail");
x.t("inputstream","datain");
x.t("atcmd.breakconnection","catch");
x.t("air","access");
x.t("pro","\u00adcessed");
x.t("dresponselistener","non-blocking");
x.t("continue","example");
x.t("syn\u00adchronized","user");
x.t("strings","incorrect");
x.t("strings","directly");
x.t("explained","detail");
x.t("string","press");
x.t("string","response");
x.t("string","\\n\\rthis");
x.t("string","include");
x.t("string","\\n\\rhello");
x.t("string","occasionally");
x.t("finalizing","line");
x.t("ath\\r","system.out.println");
x.t("sspi","access");
x.t("sis","commands");
x.t("accessed","different");
x.t("device","parsers");
x.t("device","send");
x.t("device","using");
x.t("atc.send","cpin");
x.t("atc.send","atd");
x.t("thread","interrupted");
x.t("second","parameter");
x.t("second","non-blocking");
x.t("addition","command");
x.t("input","stream");
x.t("stream","methods");
x.t("stream","opened");
x.t("stream","remains");
x.t("called_no","system.out.println");
x.t("called_no","response");
x.t("functions","release");
x.t("functions","read");
x.t("13.1.1","class");
x.t("commands","internet");
x.t("commands","open");
x.t("commands","executed");
x.t("point","view");
x.t("notice","check");
x.t("interrupted","until");
x.t("dataout","atcmd.getdataoutputstream");
x.t("13.1","using");
x.t("13.1.2","note");
x.t("syntax","cause");
x.t("(char)","rcv");
x.t("next","block");
x.t("broke","connection");
x.t("tutorial","13.1");
x.t("serial","interface");
x.t("throw","atcommandfailedexception");
x.t("throw","atcommand");
x.t("atc","new");
x.t("means","calling");
x.t("fail","outputstream");
x.t("13.1.3","13.1.1.4");
x.t("13.1.3","atcommand");
x.t("non-blocking","send");
x.t("cause","errors");
x.t("atd","input");
x.t("atd","called_no");
x.t("atd","data");
x.t("function","blocking");
x.t("function","syn\u00adchronized");
x.t("function","cancelcommand");
x.t("function","takes");
x.t("function","case");
x.t("function","class");
x.t("function","returns");
x.t("function","i/o");
x.t("function","breakconnection");
x.t("somebody","else");
x.t("may","requested");
x.t("may","infeasible");
x.t("may","sense");
x.t("cannot","used");
x.t("receive","data");
x.t("different","threads");
x.t("atcommandfailedexception","system.out.println");
x.t("atcommandfailedexception","try");
x.t("world\\n\\r",".getbytes");
x.t("\\n\\n\\rsomebody","else");
x.t("hanging","strrcv");
x.t("report","result");
x.t("handling","therefore");
x.t("release","method");
x.t("release","releases");
x.t("release","function");
x.t("release","data");
x.t("held","instance");
x.t("section","13.1.2");
x.t("section","13.1.3");
x.t("atcmd.send","ath\\r");
x.t("returned","data");
x.t("i2c/spi","sis");
x.t("capability","connected");
x.t("calling","thread");
x.t("calling","function");
x.t("calling","break");
x.t("charac\u00adter","string");
x.t("infeasible","wait");
x.t("system.out.print","(char)");
x.t("executed","serial");
x.t("dedicated","instance");
x.t("connected","instance");
x.t("end","charac\u00adter");
x.t("code","command");
x.t("rcv","example");
x.t("rcv","(char)");
x.t("rcv","system.out.print");
x.t("rcv","rcv");
x.t("rcv","break");
x.t("rcv","datain.read");
x.t("feed","corresponding");
x.t("\\n\\r",".getbytes");
x.t("slightly","differently");
x.t("signaling","section");
x.t("ready","send");
x.t("atcommandresponselistener","response");
x.t("java","tutorial");
x.t("java","application");
x.t("java","midlet");
x.t("historical","reasons");
x.t("(e)","system.out.println");
x.t("(e)","else");
x.t("(e)","csdsupported");
x.t("printed","system.out");
x.t("ensure","send");
x.t("instances","parsers");
x.t("instances","support");
x.t("include","finalizing");
x.t("cancelcommand","function");
x.t("send","method");
x.t("send","methods");
x.t("send","strings");
x.t("send","functions");
x.t("send","function");
x.t("send","data");
x.t("csd","support");
x.t("csd","please");
x.t("csd","explicitly");
x.t("csd","however");
x.t("csd","capability");
x.t("csd","call");
x.t("free","used");
x.t("atcmd.getdataoutputstream","inputstream");
x.t("view","may");
x.t("connections","data");
x.t("connections","used");
x.t("dataout.write","new");
x.t("waiting","incoming");
x.t("exception","system.out.println");
x.t("opening","atcommand");
x.t("takes","sec\u00adond");
x.t("established","ioexception");
x.t("read","functions");
x.t("read","function");
x.t("services","data");
x.t("parser","method");
x.t("parser","instances");
x.t("parser","csd");
x.t("cops","second");
x.t("output","stream");
x.t("transfer","air");
x.t("module","supports");
x.t("module","command");
x.t("module","initialized");
x.t("module","switched");
x.t("module","returns");
x.t("atc.csdsupported","release");
x.t("becomes","available");
x.t("data","currently");
x.t("data","mode");
x.t("data","calls");
x.t("data","connection");
x.t("data","connections");
x.t("data","transfer");
x.t("data","sent");
x.t("data","streams");
x.t("result","codes");
x.t("result","code");
x.t("received","response");
x.t("received","eof");
x.t("received","strrcv");
x.t("switched","command");
x.t("switched","data");
x.t("atcommand","failedexception");
x.t("atcommand","instance");
x.t("atcommand","(false)");
x.t("atcommand","constructor");
x.t("atcommand","13.1.1");
x.t("atcommand","atc");
x.t("atcommand","java");
x.t("atcommand","instances");
x.t("atcommand","atcommand");
x.t("atcommand","created");
x.t("atcommand","class");
x.t("application","point");
x.t("connection\\n\\r",".getbytes");
x.t("strrcv","else");
x.t("strrcv","atcmd.breakconnection");
x.t("strrcv","atcmd.send");
x.t("strrcv","catch");
x.t("case","explained");
x.t("described","section");
x.t("called","module");
x.t("sense","dedicated");
x.t("done","opening");
x.t("done","atcommand");
x.t("note","example");
x.t("note","using");
x.t("response.indexof","connect");
x.t("itself","returns");
x.t("opened","receive");
x.t("opened","send");
x.t("work","unless");
x.t("midlet","\\n\\r");
x.t("call","means");
x.t("call","handling");
x.t("created","csd");
x.t("created","atcommand");
x.t("immediately","atcomman");
x.t("\\n\\rhello","world\\n\\r");
x.t("incoming","data");
x.t("used","new");
x.t("used","data");
x.t("used","resources");
x.t("corresponding","line");
x.t("break","connection");
x.t("break","data");
x.t("except","read");
x.t("class","supports");
x.t("class","instance");
x.t("class","accessed");
x.t("class","report");
x.t("class","calling");
x.t("class","atcommand");
x.t("using","close");
x.t("using","command");
x.t("using","send");
x.t("similarly","output");
x.t("connect","try");
x.t("streaming","system.out.println");
x.t("streaming","dataout.write");
x.t("streaming","ioexception");
x.t("catch","atcommandfailedexception");
x.t("catch","exception");
x.t("catch","ioexception");
x.t("returns","response");
x.t("returns","csd");
x.t("returns","module");
x.t("returns","immediately");
x.t("ioexception","system.out.println");
x.t("ioexception","thrown");
x.t("i/o","streams");
x.t("without","csd");
x.t("therefore","historical");
x.t("dialing","atd");
x.t("datain.available","bytes");
x.t("occasionally","may");
x.t("datain","atcmd.getdatainputstream");
x.t("atcmd.getdatainputstream","streaming");
x.t("breakconnection","function");
x.t("sent","string");
x.t("sent","device");
x.t("sent","java");
x.t("buffer","rcv");
x.t("resources","held");
x.t("resources","free");
x.t("datain.read","rcv");
x.t("streams","behave");
x.t("streams","closed");
x.t("streams","called");
x.t("streams","streams");
x.t("remains","open");
x.t("detail","section");
x.t("threads","ensure");
}
